Subject: Re: bug#55529: [PATCH] Add support for the Tagalog script

From: समीर सिंह Sameer Singh<[email-masked]>
Date: Fri, 20 May 2022 21:14:04 +0530

>
> I think this entry should not be together with the old Indic scripts,
> it should be separate from them.  Especially if you intend to add more
> scripts/languages used in the Philippines.

Tagalog and other philippine scripts also descend from Brahmi. They are
also superseded by the Roman script, so I would consider them as old.

I wonder whether we should call the language-environment "Tagalog".
> Why not "Filipino", which AFAIU is the official language name?
> Perhaps also for the input method.
>

AFAICT from the internet, Tagalog and Filipino are two different languages,
Filipino is Tagalog with foreign loanwords, for e.g. the Filipino word for
a chair is "silya" (from Spanish)
while in Tagalog it is "salumpuwit".

On Fri, May 20, 2022 at 7:53 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh
> >  <[email-masked]>
> > Date: Fri, 20 May 2022 03:43:54 +0530
> >
> > Tagalog script  is added to Emacs this time.
>
> Thanks.
>
> > diff --git a/etc/NEWS b/etc/NEWS
> > index 4f6df48129..4ded787888 100644
> > --- a/etc/NEWS
> > +++ b/etc/NEWS
> > @@ -800,6 +800,7 @@ corresponding language environments are:
> >  **** Siddham script and language environment
> >  **** Syloti Nagri script and language environment
> >  **** Modi script and language environment
> > +**** Tagalog script and language environment
>
> I think this entry should not be together with the old Indic scripts,
> it should be separate from them.  Especially if you intend to add more
> scripts/languages used in the Philippines.
>
> > +(set-language-info-alist
> > + "Tagalog" '((charset unicode)
> > +             (coding-system utf-8)
> > +             (coding-priority utf-8)
> > +             (input-method . "tagalog")
> > +             (sample-text . "Baybayin (ᜊᜌ᜔ᜊᜌᜒᜈ᜔)     ᜃᜓᜋᜓᜐ᜔ᜆ")
> > +             (documentation . "\
> > +Philippine Language Tagalog is supported in this language
> environment.")))
>
> I wonder whether we should call the language-environment "Tagalog".
> Why not "Filipino", which AFAIU is the official language name?
> Perhaps also for the input method.
>